# vmware_portgroup_facts – Gathers facts about an ESXi host’s Port Group configuration

New in version 2.6.

- DEPRECATED

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## DEPRECATED

Removed in Ansible

  version: 2.13

Why

  Deprecated in favour of `_info` module.

Alternative

  Use vmware_portgroup_info instead.

## Synopsis

- This module can be used to gather facts about an ESXi host’s Port Group configuration when ESXi hostname or Cluster name is given.

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.6

- PyVmomi

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
cluster_name string |  | Name of the cluster. Facts will be returned for all hostsystem belonging to this cluster name. If `esxi_hostname` is not given, this parameter is required.
esxi_hostname string |  | ESXi hostname to gather facts from. If `cluster_name` is not given, this parameter is required.
hostname string |  | The hostname or IP address of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_HOST` will be used instead. Environment variable support added in Ansible 2.6.
password string |  | The password of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_PASSWORD` will be used instead. Environment variable support added in Ansible 2.6. aliases: pass, pwd

policies
boolean
added in 2.8

Choices:
- no ←
- yes

Gather facts about Security, Traffic Shaping, as well as Teaming and failover.
The property `ts` stands for Traffic Shaping and `lb` for Load Balancing.

port integer added in 2.5 | Default: 443 | The port number of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_PORT` will be used instead. Environment variable support added in Ansible 2.6.
proxy_host string added in 2.9 |  | Address of a proxy that will receive all HTTPS requests and relay them. The format is a hostname or a IP. If the value is not specified in the task, the value of environment variable `VMWARE_PROXY_HOST` will be used instead. This feature depends on a version of pyvmomi greater than v6.7.1.2018.12
proxy_port integer added in 2.9 |  | Port of the HTTP proxy that will receive all HTTPS requests and relay them. If the value is not specified in the task, the value of environment variable `VMWARE_PROXY_PORT` will be used instead.
username string |  | The username of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_USER` will be used instead. Environment variable support added in Ansible 2.6. aliases: admin, user

validate_certs
boolean

Choices:
- no
- yes ←

Allows connection when SSL certificates are not valid. Set to `false` when certificates are not trusted.
If the value is not specified in the task, the value of environment variable `VMWARE_VALIDATE_CERTS` will be used instead.
Environment variable support added in Ansible 2.6.
If set to `yes`, please make sure Python >= 2.7.9 is installed on the given machine.

## Notes

Note

- Tested on vSphere 6.5

- The `vswitch_name` property is deprecated starting from Ansible v2.12

## Examples

    - name: Gather portgroup facts about all ESXi Host in given Cluster
      vmware_portgroup_facts:
        hostname: '{{ vcenter_hostname }}'
        username: '{{ vcenter_username }}'
        password: '{{ vcenter_password }}'
        cluster_name: '{{ cluster_name }}'
      delegate_to: localhost

    - name: Gather portgroup facts about ESXi Host system
      vmware_portgroup_facts:
        hostname: '{{ vcenter_hostname }}'
        username: '{{ vcenter_username }}'
        password: '{{ vcenter_password }}'
        esxi_hostname: '{{ esxi_hostname }}'
      delegate_to: localhost

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---

hosts_portgroup_facts
dictionary

on success

metadata about host's portgroup configuration
Sample:
{'esx01': [{'failback': True, 'failover_active': ['vmnic0', 'vmnic1'], 'failover_standby': [], 'failure_detection': 'link_status_only', 'lb': 'loadbalance_srcid', 'notify': True, 'portgroup': 'Management Network', 'security': [False, False, False], 'ts': 'No override', 'vlan_id': 0, 'vswitch': 'vSwitch0', 'vswitch_name': 'vSwitch0'}, {'failback': True, 'failover_active': ['vmnic2'], 'failover_standby': ['vmnic3'], 'failure_detection': 'No override', 'lb': 'No override', 'notify': True, 'portgroup': 'vMotion', 'security': [False, False, False], 'ts': 'No override', 'vlan_id': 33, 'vswitch': 'vSwitch1', 'vswitch_name': 'vSwitch1'}]}

## Status

- This module will be removed in version 2.13. [deprecated]

- For more information see DEPRECATED.

### Authors

- Abhijeet Kasurde (@Akasurde)

- Christian Kotte (@ckotte)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.